Page 1 of 1

Template change required.

Posted: Mon Jul 05, 2010 5:07 am
by Bradnams
Hi guys,

I've had to change the pxcdrv40.tpl for Clarion 7 it seems to not test for Clarion 7 .

around line 1222

#IF(%PXCDV4Gtspknl32Chk AND SUB(%CWVersion,1,1) <> '7')
#PROJECT('tspknl32.lib')
#ENDIF
#IF(%PXCDV4GRWSupport)
#CASE(SUB(%CWVersion,1,2))
#OF('50')
#PROJECT('c5prlibx.lib')
#OF('55')
#PROJECT('c55prlbx.lib')
#ELSE
#IF(SUB(%CWVersion,1,1)='6')
#PROJECT('c60prlbx.lib')
#ELSE
#ERROR('Cannot #PROJECT RE .lib')
#ENDIF
#ENDCASE
#ENDIF

change to

#IF(%PXCDV4Gtspknl32Chk AND SUB(%CWVersion,1,1) <> '7')
#PROJECT('tspknl32.lib')
#ENDIF
#IF(%PXCDV4GRWSupport)
#CASE(SUB(%CWVersion,1,2))
#OF('50')
#PROJECT('c5prlibx.lib')
#OF('55')
#PROJECT('c55prlbx.lib')
#ELSE
#IF(SUB(%CWVersion,1,1)='6')
#PROJECT('c60prlbx.lib')
#ELSIF(SUB(%CWVersion,1,1)='7')
#PROJECT('c70prlb.lib')
#ELSE
#ERROR('Cannot #PROJECT RE .lib')
#ENDIF
#ENDCASE
#ENDIF

Let me know if I missed something.

Regards,

Re: Template change required.

Posted: Mon Jul 05, 2010 2:30 pm
by Tracker - Clarion Support
Hi Brad!

If that's working for you, use it for now!

I need to check that section of template code out. I'll post a reply in this thread with modified template code after I determine what needs to be done.

Re: Template change required.

Posted: Tue Jul 06, 2010 6:11 pm
by Tracker - Clarion Support
Hi!

Attached is the new pxcdrv40.tpl. It follows your code but adjusted to make it more expandable for new versions.

Re: Template change required.

Posted: Tue Jul 06, 2010 11:14 pm
by Bradnams
It works great thanks.

Re: Template change required.

Posted: Wed Jul 07, 2010 12:57 pm
by Tracker Supp-Stefan
Our Pleasure Bradnams

Best,
Stefan